Bug 2054049 (CVE-2022-0585) - CVE-2022-0585 wireshark: Large loops in multiple dissectors
Summary: CVE-2022-0585 wireshark: Large loops in multiple dissectors
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2022-0585
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2054050
Blocks: 2054060
TreeView+ depends on / blocked
 
Reported: 2022-02-14 06:10 UTC by Sandipan Roy
Modified: 2022-04-10 16:16 UTC (History)
8 users (show)

Fixed In Version: wireshark 3.6.2, wireshark 3.4.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-10 16:15:29 UTC


Attachments (Terms of Use)

Description Sandipan Roy 2022-02-14 06:10:52 UTC
It was discovered that Wireshark before 3.6.2, 3.4.12 there are large loops in multiple dissectors, including AMP, ATN-ULCS and possibly other ASN.1 PER dissectors, BP, GDSDB, OpenFlow v5, P_MUL, SoulSeek, TDS, WBXML, WSP and possibly other WAP dissectors, and ZigBee ZCL. It may be possible to make Wireshark consume excessive CPU resources by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file. 

Affected versions: 3.6.0 to 3.6.1, 3.4.0 to 3.4.11
Fixed versions: 3.6.2, 3.4.12 

References:
https://www.wireshark.org/security/wnpa-sec-2022-02
https://gitlab.com/wireshark/wireshark/-/issues/17829
https://gitlab.com/wireshark/wireshark/-/issues/17842
https://gitlab.com/wireshark/wireshark/-/issues/17847
https://gitlab.com/wireshark/wireshark/-/issues/17855
https://gitlab.com/wireshark/wireshark/-/issues/17891
https://gitlab.com/wireshark/wireshark/-/issues/17925
https://gitlab.com/wireshark/wireshark/-/issues/17926
https://gitlab.com/wireshark/wireshark/-/issues/17931
https://gitlab.com/wireshark/wireshark/-/issues/17932
https://gitlab.com/wireshark/wireshark/-/issues/17933

Comment 1 Sandipan Roy 2022-02-14 06:11:15 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 2054050]

Comment 2 devthomp 2022-04-10 16:15:29 UTC
In reply to comment #0:
> It was discovered that Wireshark before 3.6.2, 3.4.12 there are large loops
> in multiple dissectors, including AMP, ATN-ULCS and possibly other ASN.1 PER
> dissectors, BP, GDSDB, OpenFlow v5, P_MUL, SoulSeek, TDS, WBXML, WSP and
> possibly other WAP dissectors, and ZigBee ZCL. It may be possible to make
> Wireshark consume excessive CPU resources by injecting a malformed packet
> onto the wire or by convincing someone to read a malformed packet trace
> file. 
> 
> Affected versions: 3.6.0 to 3.6.1, 3.4.0 to 3.4.11
> Fixed versions: 3.6.2, 3.4.12 
> 
> References:
> https://www.wireshark.org/security/wnpa-sec-2022-02
> https://gitlab.com/wireshark/wireshark/-/issues/17829
> https://gitlab.com/wireshark/wireshark/-/issues/17842
> https://gitlab.com/wireshark/wireshark/-/issues/17847
> https://gitlab.com/wireshark/wireshark/-/issues/17855
> https://gitlab.com/wireshark/wireshark/-/issues/17891
> https://gitlab.com/wireshark/wireshark/-/issues/17925
> https://gitlab.com/wireshark/wireshark/-/issues/17926
> https://gitlab.com/wireshark/wireshark/-/issues/17931
> https://gitlab.com/wireshark/wireshark/-/issues/17932
> https://gitlab.com/wireshark/wireshark/-/issues/17933

Marking not affected given our rhel wireshark release versions:

enterprise_linux:8.1:appstream/wireshark-2.6.2-11.el8
enterprise_linux:8.2:appstream/wireshark-2.6.2-12.el8
enterprise_linux:8.4:appstream/wireshark-2.6.2-12.el8
enterprise_linux:8.5:appstream/wireshark-2.6.2-14.el8
enterprise_linux:9.0:appstream/wireshark-3.4.10-1.el9


Note You need to log in before you can comment on or make changes to this bug.